File: instantiator.gemspec

package info (click to toggle)
ruby-instantiator 0.0.7-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 152 kB
  • sloc: ruby: 269; makefile: 2
file content (30 lines) | stat: -rw-r--r-- 882 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "instantiator/version"

Gem::Specification.new do |s|
  s.name        = "instantiator"
  s.version     = Instantiator::VERSION
  s.authors     = ["James Mead"]
  s.email       = ["james@floehopper.org"]
  s.homepage    = ""
  s.summary     = %q{Instantiate an arbitrary Ruby class}

  s.rubyforge_project = "instantiator"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_dependency("blankslate")

  if RUBY_VERSION < '1.9.3'
    s.add_development_dependency "rake", "~> 10.0"
  else
    s.add_development_dependency "rake"
  end
  if RUBY_VERSION > '2.2'
    s.add_development_dependency "test-unit"
  end
end